BEGIN ~LHMS8C~

IF ~Global("MrcPay","GLOBAL",1)
PartyGoldGT(29999)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 2
  IF ~~ THEN REPLY @3 GOTO 3
END

IF ~~ THEN BEGIN 1
  SAY @4
  IF ~~ THEN DO ~SetGlobal("MrcAlly","GLOBAL",1)
TakePartyGold(30000)
DestroyGold(30000)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 2
  SAY @5
  IF ~~ THEN DO ~SetGlobal("MrcPay","GLOBAL",1)
GiveItemCreate("lhMIS8c",Player1,1,1,1)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 3
  SAY @6
  IF ~~ THEN DO ~SetGlobal("MrcAlly","GLOBAL",0)
EscapeArea()
~ EXIT
END

IF ~Global("MrcPay","GLOBAL",1)
PartyGoldLT(30000)~ THEN BEGIN 4
  SAY @0
  IF ~~ THEN REPLY @7 GOTO 5
  IF ~~ THEN REPLY @3 GOTO 6
END

IF ~~ THEN BEGIN 5
  SAY @5
  IF ~~ THEN DO ~SetGlobal("MrcPay","GLOBAL",1)
GiveItemCreate("lhMIS8c",Player1,1,1,1)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 6
  SAY @6
  IF ~~ THEN DO ~SetGlobal("MrcAlly","GLOBAL",0)
EscapeArea()
~ EXIT
END
